/********************************************************************
EjbProxyTestClient  sample code for tesing EjbProxy

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY
*******************************************************************/

import java.rmi.RemoteException;
import javax.ejb.EJBException;


//for EjbProxyExample EJB
import com.javaworldtip.ejbproxyexample.EjbProxyExample;

///////////////////////////////////////////////////////////
// EjbClient

public class EjbProxyTestClient
{
    private static final String JNDI_NAME = "com.javaworldtip.ejbproxyexample.EjbProxyExample";

    private String _url;
    private String _user;
    private String _password;

    public static void main(String[] args)
    {
        log("\nBeginning EjbProxyTestClient...\n");

        //default is the local host at port 7001 without user id and password
        String url       = "t3://localhost:7001";
        String user      = null;
        String password  = null;

        // Parse the argument list
        if (args.length > 0)
        {
            // Parse the argument list
            switch(args.length)
            {
                case 3:
                    password = args[2];
                    // fall through
                case 2:
                    user = args[1];
                    // fall through
                case 1:
                    url = args[0];
                    break;
            }
        }

        EjbProxyTestClient client = new EjbProxyTestClient(url, user, password);

        try
        {
            client.test();
        }
        catch (Exception e)
        {
            e.printStackTrace();
        }

        log("\nEjbProxyTestClient end\n");
    }


    public EjbProxyTestClient(String url, String user, String password)
    {
        _url = url;
        _user = user;
        _password = password;
    }

    public void test() throws RemoteException, EJBException
    {
        //use proxy
        EjbProxy proxy = new EjbProxy ("weblogic.jndi.WLInitialContextFactory", _url);
        EjbProxyExample obj = (EjbProxyExample) proxy.getObj (JNDI_NAME) ;

        //now get "Hello, world" string
        String strHello = obj.hello("World");
        log (strHello);
    }

    private static void log(String s)
    {
        System.out.println(s);
    }

}

